Gradebook: main.o gradeBook.o .gitignore
	g++ main.o gradeBook.o  -o GradeBook

main.ii: main.cpp gradeBook.hpp
	g++ -E main.cpp -o main.ii

gradeBook.ii: gradeBook.cpp gradeBook.hpp
	g++ -E gradeBook.cpp -o gradeBook.ii

main.s: main.ii
	g++ -S main.ii  -o main.s

gradeBook.s: gradeBook.ii
	g++ -S gradeBook.ii  -o gradeBook.s

main.o: main.s
	g++ -c main.s   -o main.o

gradeBook.o: gradeBook.s
	g++ -c gradeBook.s   -o gradeBook.o

.gitignore:
	echo gradeBook > .gitignore

cleanup:
	rm -f *.ii *.s *.o *.out gradeBook .gitignore

test1: gradeBook
	./gradeBook  < test1.in > test1.out || echo "Test 1 is executing..."
	diff test1.out test1.expected && echo PASSED || echo FAILED

.PRECIOUS: main.ii main.s
.SECONDARY: main.ii main.s
